Bug 1247523 - [RFE]-UI only includes first port in generated service
[RFE]-UI only includes first port in generated service
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Samuel Padgett
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 04:45 EDT by Miheer Salunke
Modified: 2016-01-26 14:16 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 14:16:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jordan Liggitt 2015-08-06 10:22:25 EDT
Creating services with all ports is blocked by routes not supporting multi-port services
Comment 5 Jessica Forrester 2016-01-08 10:15:54 EST
This was fixed in https://github.com/openshift/origin/issues/4956
Comment 6 Yanping Zhang 2016-01-12 03:10:05 EST
Tested on puddle AtomicOpenShift/3.1/2016-01-11.1

# openshift version
openshift v3.1.1.1
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

Steps to test:
1.Create an image exposing multiple ports, such 5858, 8080.
2.Create app from console using the image created in step 1.
On the creation page, under the Routing configuration, user could choose to use any port in Target Port list.
3.After choose the proper port eg,8080, click "Create", the app is created successfully.
4.Check that the route target port is exactly the chosen port, and access the route url for service, app can be accessed successfully.

The bug has been fixed, so move it to Verified.
Comment 8 errata-xmlrpc 2016-01-26 14:16:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:0070

Note You need to log in before you can comment on or make changes to this bug.